Mac OS X: GRASS GIS 7.0 correction

2016-02-19 08:14 AM - Martin Laloux

Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/GRASS

Affected QGIS version:2.12.1 Regression?: No

Operating System: Mac OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22326

Description

The original Grass7Utils.py script for Mac OS X is (lines 257-259)

if isMac() and os.path.exists(Grass7Utils.grassPath() + os.sep + 'grass70.sh'):

                command = Grass7Utils.grassPath() + os.sep + 'grass70.sh ' \\

                    + Grass7Utils.grassMapsetFolder() + '/PERMANENT'

It does not work because in the GRASS 7.0 version of Mac OS X from M.Bartons's http://grassmac.wikidot.com/downloads, the script is

grass.sh (and not grass70.sh)

So, 

if isMac() and os.path.exists(Grass7Utils.grassPath() + os.sep + '*grass.sh*'):

                command = Grass7Utils.grassPath() + os.sep + '*grass.sh* ' \\

                    + Grass7Utils.grassMapsetFolder() + '/PERMANENT'

works.

History

#1 - 2016-02-19 08:35 AM - Paolo Cavallini

- Subject changed from Mac OS X: GRASS GIS 7.0 correctiion to Mac OS X: GRASS GIS 7.0 correction

#2 - 2016-02-20 07:04 AM - Giovanni Manghi

- Status changed from Open to Feedback

Is that the official download for GRASS on OsX? I think that we rely on another package (see the QGIS download page), is there any difference between

the two about how they define the GRASS7 paths?

#3 - 2016-02-20 07:11 AM - Martin Laloux

Yes, is is probably best known. If you look a http://www.kyngchaos.com/software/grass :  For GRASS 7 see Michael Barton's GRASS page

Same if you look at https://grass.osgeo.org/download/software/mac-osx/

I don't know the status of Homebrew GRASS, MacPorts GRASS

#4 - 2016-03-06 02:34 AM - Giovanni Manghi

- Status changed from Feedback to In Progress
- % Done changed from 0 to 100

- Assignee changed from Victor Olaya to Giovanni Manghi

see https://github.com/qgis/QGIS/pull/2871

#5 - 2016-03-18 10:10 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed
